Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
segments
List Segments
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/segments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "conditions": {
          "groups": [
            {
              "conditions": [
                {
                  "operator": "<string>",
                  "type": "<string>",
                  "value": {
                    "text": "<string>"
                  },
                  "display": {}
                }
              ],
              "logic": "<string>"
            }
          ],
          "version": 123
        },
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "is_active": true,
        "name": "<string>",
        "slug": "<string>",
        "team_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "validation_error": {}
      },
      "id": "<string>",
      "type": "segment"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Query Parameters

page[after]
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100
only_invalid
boolean
default:false

Response

Successful Response

data
SegmentResource · object[]
required
meta
Meta · object
required